pcl::io::ply::io_operators Namespace Reference

## Functions

std::istream & | operator>> (std::istream &istream, int8 &value)
std::istream & | operator>> (std::istream &istream, uint8 &value)
std::ostream & | operator<< (std::ostream &ostream, int8 value)
std::ostream & | operator<< (std::ostream &ostream, uint8 value)

## Function Documentation

## operator<<() [1/2]

std::ostream& pcl::io::ply::io_operators::operator<< | ( | std::ostream & | ostream,
|  | int8 | value
| ) |  |

inline

Definition at line 86 of file io_operators.h.

## operator<<() [2/2]

std::ostream& pcl::io::ply::io_operators::operator<< | ( | std::ostream & | ostream,
|  | uint8 | value
| ) |  |

inline

Definition at line 91 of file io_operators.h.

## operator>>() [1/2]

std::istream& pcl::io::ply::io_operators::operator>> | ( | std::istream & | istream,
|  | int8 & | value
| ) |  |

inline

Definition at line 60 of file io_operators.h.

## operator>>() [2/2]

std::istream& pcl::io::ply::io_operators::operator>> | ( | std::istream & | istream,
|  | uint8 & | value
| ) |  |

inline

Definition at line 73 of file io_operators.h.